package at.acdp.urweb;

public class Params {
    @picocli.CommandLine.Option(names = { "-p", "--port" }, description = "HTTP Server port", required = true)
    public int port = 8080;

    @picocli.CommandLine.Option(names = { "-w", "--webroot" }, description = "Use webroot from filesystem", defaultValue = "")
    public String webroot = "";

    @picocli.CommandLine.Option(names = { "-rip", "--robotip" }, description = "Robot ip address", defaultValue = "")
    public String robotIP = "";

    @picocli.CommandLine.Option(names = { "-rp", "--robotport" }, description = "Robot tcp port", defaultValue = "30001")
    public int robotPort = 30001;

    @picocli.CommandLine.Option(names = { "-rt", "--rtport" }, description = "rtde tcp port", defaultValue = "30004")
    public int rtPort;

    @picocli.CommandLine.Option(names = {"--sshUsername"}, description = "ssh username", defaultValue = "root")
    public String sshUsername;

    @picocli.CommandLine.Option(names = {"--sshPassword"}, description = "ssh password", defaultValue = "easybot")
    public String sshPassword;

    @picocli.CommandLine.Option(names = {"--sshPort"}, description = "ssh port", defaultValue = "22")
    public String sshPort;
}

